Partially Update Gates

patchhttps://statsigapi.net/console/v1/gates/{id}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired

id

Query parameters

includeArchiveMetadatastring

When "true", populate archivedAt / archivedBy* / archiveReason on the gate when it is currently archived. When omitted or "false", those fields are absent from the response.

Body

application/json
namestring

The gate display name

isEnabledboolean
descriptionstring
rulesobject[]
Show child attributes
name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

Show child attributes
targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]

The environments this rule is enabled for.

id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object

The return value of the rule.

completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

Show child attributes
time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

Show child attributes
time[]number
passPercent[]numberrequired
tagsstring[]
typestring
idTypestring
targetAppsoneOf
creatorIDstring
creatorEmailstring
teamstring
teamIDstring
measureMetricLiftsboolean
monitoringMetricsobject[]
Show child attributes
name[]stringrequired
type[]stringrequired
reviewSettingsobject

Whether reviews are required for this gate. If a gate has reviews required due to a project-level or team-level setting, setting this will have no effect.

Show child attributes
requiredReviewbooleanrequired
releasePipelineIDstring
gradual_rollout_strategyobject

Optional safe-change strategy for risky gate rule increases. When required by policy, clients should retry with this field set after user confirmation.

Show child attributes
typestringrequired

Use "gradual" to apply a gradual rollout to risky gate rule increases, or "bypass" to explicitly apply the direct change.

phasesobject[]

Optional rollout phases in the same shape used by the product rollout editor. If omitted for "gradual", the server default schedule is used.

Show child attributes
time[]number
pass_percent[]numberrequired
isComplete[]booleanrequired
timeString[]string
phaseDurationMs[]number

Used for progressive rollouts to calculate when the next phase can start

Response

application/json
200Update gate response
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
idstringrequired

ID

namestring

The gate display name

idTypestring
descriptionstringrequired
lastModifierIDstringrequired

ID of the last modifier.

lastModifiedTimenumberrequired

Time of the last modification.

lastModifierEmailstringrequired

Email of the last modifier.

lastModifierNamestringrequired

Name of the last modifier.

creatorIDstring
createdTimenumberrequired

Timestamp when the entity was created.

creatorNamestringrequired

Name of the creator.

creatorEmailstring
tagsstring[]
targetAppsoneOf
holdoutIDsstring[]

Holdouts applied to this configuration.

teamstring
teamIDstring
versionnumber

Version number

checksPerHournumberrequired
statusstringrequired
typestringrequired
typeReasonstringrequired
ownerobject

Schema for owner data including ID, type, name. Note that if Entity is created by CONSOLE API, owner will be undefined.

Show child attributes
ownerIDstring

ID of the owner

ownerTypestring

Type of the owner (e.g., SDK_KEY or USER)

ownerNamestring

The name of the owner. This field is optional.

ownerEmailstring

The email of the owner. This field is optional.

isTemplateboolean
store0100Exposuresboolean

Whether this gate stores 0/100 exposures for monitoring/analysis.

permalinkstringrequired

A permalink to this gate in the Statsig Console.

archivedAtnumber

Timestamp (ms) of the most recent archive event when the gate is currently archived; null otherwise. May be null for gates archived before audit logging existed.

archivedByIDstring

ID of the user who archived this gate, when known and the gate is currently archived; null otherwise (e.g. automated archives have no user).

archivedByNamestring

Name of the user who archived this gate, when known and the gate is currently archived; null otherwise.

archivedByEmailstring

Email of the user who archived this gate, when known and the gate is currently archived; null otherwise.

archiveReasonstring

Free-text reason supplied when the gate was most recently archived; null when the gate is not currently archived or no reason was given.

isEnabledbooleanrequired
rulesobject[]required
Show child attributes
name[]stringrequired

The name of this rule.

passPercentage[]numberrequired

Of the users that meet the conditions of this rule, what percent should return true.

conditions[]object[]required

An array of Condition objects.

Show child attributes
targetValue[]oneOf
operator[]string
field[]string
customID[]string
type[]stringrequired
environments[]string[]

The environments this rule is enabled for.

id[]string

The Statsig ID of this rule.

baseID[]string

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValue[]object

The return value of the rule.

completedAutomatedRollouts[]object[]

Read-only: Automated rollout phases that have already completed.

Show child attributes
time[]number
passPercent[]numberrequired
pendingAutomatedRollouts[]object[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

Show child attributes
time[]number
passPercent[]numberrequired
measureMetricLiftsboolean
monitoringMetricsobject[]
Show child attributes
name[]stringrequired
type[]stringrequired
reviewSettingsobject
Show child attributes
requiredReviewbooleanrequired
allowedReviewersobject[]
Show child attributes
id[]stringrequired
name[]stringrequired
email[]stringrequired
releasePipelineIDstring
activeReviewobject
Show child attributes
reviewIDstringrequired
reviewStatusstringrequired
descriptionstringrequired

Was this helpful?